nbd_set_private_data(3)

NAME
nbd_set_private_data - set the per-handle private data

SYNOPSIS
 #include <libnbd.h>

 uintptr_t nbd_set_private_data (
             struct nbd_handle *h, uintptr_t private_data
           );

DESCRIPTION
Handles contain a private data field for applications to use for any purpose.

When calling libnbd from C, the type of this field is "uintptr_t" so it can be used to store an unsigned integer or a pointer.

In non-C bindings it can be used to store an unsigned integer.

This function sets the value of this field and returns the old value (or 0 if it was not previously set).

RETURN VALUE
This call returns a "uintptr_t".

ERRORS
This function does not fail.

The following parameters must not be NULL: "h". For more information see "Non-NULL parameters" in libnbd(3).

VERSION
This function first appeared in libnbd 1.8.

If you need to test if this function is available at compile time check if the following macro is defined:

 #define LIBNBD_HAVE_NBD_SET_PRIVATE_DATA 1

SEE ALSO
nbd_create(3), nbd_get_private_data(3), libnbd(3).

AUTHORS
Eric Blake

Richard W.M. Jones

COPYRIGHT
Copyright Red Hat

LICENSE
This library is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public License along with this library; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA